%global commit e5dc3b04eeb9c7107f5a2b80c2b0f43434722cfd
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%bcond_with javadoc

Name:		apache-log4j-extras
Version:	1.2.17.1
Release:	4%{?dist}
Summary:	Apache Extras Companion for Apache log4j

License:	ASL 2.0
URL:		http://logging.apache.org/log4j/extras
Source0:	https://github.com/apache/log4j-extras/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch:	noarch
BuildRequires:	ant
BuildRequires:	ant-contrib
BuildRequires:	ant-junit
BuildRequires:	apache-rat-plugin
BuildRequires:	hsqldb
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	log4j12
BuildRequires:	maven-antrun-plugin
BuildRequires:	maven-changes-plugin
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
%if %{with javadoc}
BuildRequires:	maven-javadoc-plugin
%endif
BuildRequires:	maven-local
BuildRequires:	maven-plugin-jxr
BuildRequires:	maven-release-plugin
BuildRequires:	maven-resources-plugin
BuildRequires:	maven-site-plugin
BuildRequires:	maven-skins
BuildRequires:	maven-surefire-plugin


%description
Apache Extras Companion for Apache log4j is a collection of appenders, 
filters, layouts, and receivers for Apache log4j 1.2

%if %{with javadoc}
%package javadoc
Summary:	Javadoc for %{name}
Group:		Documentation

%description javadoc
This package contains the API documentation for %{name}.
%endif


%prep
%setup -qn log4j-extras-%{commit}
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId='hsqldb']/pom:groupId" org.hsqldb

%build
%if %{without javadoc}
args="-j"
%endif
# Tests disabled because of failures
%mvn_build $args -- -DskipTests

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE
%dir %{_javadir}/%{name}

%if %{with javadoc}
%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE
%endif

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Robert Rati <rrati@redhat> - 1.2.17.1-3
- Add BuildRequires on log4j12
- Conditionalize javadoc generation

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.2.17.1-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Jan 29 2014 Robert Rati <rrati@redhat> - 1.2.17.1-1
- Update to upstream 1.2.17.1
- Use new %mvn_* macros

* Sat Dec 24 2011 David Nalley <david@gnsa.us> - 1.1-3
- switching from ant to maven because ant doesn't have a javadoc target

* Thu Oct 20 2011 David Nalley <david@gnsa.us> - 1.1-2
- removing forbidden unicode trademark symbols

* Thu Oct 20 2011 David Nalley <david@gnsa.us> - 1.1-1 
- Initial packaging
